unit AboutCANde;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ComCtrls;

type
  TAboutBoxForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Image1: TImage;
    Label2: TLabel;
    Label3: TLabel;
    Panel3: TPanel;
    Label4: TLabel;
    Label5: TLabel;
    Label1: TLabel;
    Label6: TLabel;
    Btn_Close_About: TButton;
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Btn_Close_AboutClick(Sender: TObject);
  private
    FIsModal: boolean;
    FReqToClose: boolean;

    procedure CloseMe;
  public
    // Constructor
    constructor Create( AOwner: TComponent; isModal: boolean ); reintroduce; virtual;

    property ReqToClose: boolean read FReqToClose;
  end;

var
  AboutBoxForm: TAboutBoxForm;

implementation

{$R *.DFM}

// Constructor
constructor TAboutBoxForm.Create( AOwner: TComponent; isModal: boolean );
begin
  inherited Create( AOwner );
  FIsModal := isModal;
  FReqToClose := false;
end;

procedure TAboutBoxForm.CloseMe;
begin
  if FIsModal then
    ModalResult := mrOk
  else
    FReqToClose := true;
end;

procedure TAboutBoxForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  CloseMe;
end;


procedure TAboutBoxForm.Btn_Close_AboutClick(Sender: TObject);
begin
  CloseMe;
end;

end.
